Submit defense plan evidencesAsk AIpost https://api.staging.payrails.io/dispute/disputes/{disputeId}/evidences/submit-planStore selected evidences in the defense plan and generate defense sections.Path ParamsdisputeIduuidrequiredIdentifier of the resource in Payrails.Body ParamsselectedDefenseReasonCodestringThe provider reason code the merchant wants to defend with. If omitted, the LLM-suggested code from plan generation remains in effect.evidencesarray of objectsrequiredlength ≥ 1List of selected defense plan evidence items and target positions. Each position must be unique.evidences* objectevidenceIduuidrequiredUnique identifier of an uploaded evidence linked to this dispute.positionintegerrequired≥ 0Target defense plan evidence position to associate with evidenceId.labelsarray of stringsLabels to assign to this evidence for the dispute, used to categorise the document during representment.labelsADD stringADD objectuserPromptstringAdditional user prompt to generate defense sections. If not provided, the system will use a default prompt.Headersx-idempotency-keyuuidrequiredIdempotency key to be used. Sending again the same key would return the same result without re-executing the update.Responses 200Defense plan evidences submitted and defense sections generated. 400Bad Request. 401Unauthorized. 403Forbidden. 404Not Found. 429Too Many Requests. 500Internal Server Error.Updated about 1 month ago